Subject: bug#69286: guix-build-coordinator-agent-only should not propagate guix

From: Andreas Enge <[email-masked]>
Date: Tue, 20 Feb 2024 14:32:21 +0100

Hello,

I installed guix-build-coordinator-agent-only into my user profile to try
it out, and wondered today why "guix build" would build the wrong version
of a software; then why "guix describe" showed a wrong date; until I
realised that the package propagates guix, and that the thus propagated
guix takes precedence over the one obtained via "guix pull".

This looks like a bug to me, since it pulls the rug under the users' feet
by surreptitiously swapping their consciously installed guix by a different
one.

Andreas